Loading...
Searching...
No Matches
asr< T, M, A >::dis_reference

## Detailed Description

template<class T, class M = rheo_default_memory_model, class A = std::allocator<T>>
struct rheolef::asr< T, M, A >::dis_reference

Definition at line 58 of file asr.h.

## Public Member Functions

| dis_reference (typename base::dis_reference row_dis_i, size_type dis_j)
dis_reference & | operator+= (const T &value)

## Public Attributes

base::dis_reference | _row_dis_i
size_type | _dis_j

## Constructor & Destructor Documentation

## dis_reference()

template<class T , class M = rheo_default_memory_model, class A = std::allocator<T>>

dis_reference | ( | typename base::dis_reference | row_dis_i,
|  | size_type | dis_j
| ) |  |

Definition at line 59 of file asr.h.

## Member Function Documentation

## operator+=()

template<class T , class M = rheo_default_memory_model, class A = std::allocator<T>>

dis_reference & operator+= | ( | const T & | value | ) |

Definition at line 62 of file asr.h.

## Member Data Documentation

## _row_dis_i

template<class T , class M = rheo_default_memory_model, class A = std::allocator<T>>

base::dis_reference _row_dis_i

Definition at line 66 of file asr.h.

## _dis_j

template<class T , class M = rheo_default_memory_model, class A = std::allocator<T>>

size_type _dis_j

Definition at line 67 of file asr.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/asr.h